Skip to main content

Merchants List

Merchants List​

Retrieves a paginated list of all merchants.

GET /company/merchants?page=1&size=50
Authorization: Bearer <ACCESS_TOKEN>

Response:

{
"success": true,
"data": {
"page": 1,
"size": 50,
"total_count": 1639,
"data":[
{
"id": "<id>",
"external_id": "<provided-id>",
"latest_update": "2008-01-10T11:00:00Z",
"is_fetching": true,
"stores": [{
"id": "507f191e810c19729de860c1",
"type": "SHOPIFY",
"name": "shop abc",
"status":"READY",
},{
"id": "7f97823810c1629de191e0ea",
"type": "AMAZON",
"name": "shop xyz",
"status": "QUEUED",
}]
},
...
]
}
}

Fields

id​

Unique id for that merchant.

external_id​

Unique id provided by the merchant.

latest_update​

The latest update time for that merchant.

is_fetching​

Indicates if the merchant is currently being fetched.

stores​

A list of stores for that merchant.